Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: NWN on 7.10

  1. #1
    Join Date
    Jan 2007
    Location
    Au
    Posts
    174

    Default NWN on 7.10

    Hi,

    I've got nwn installed on gutsy - using the icculus install wizard and the 1.68 patch. As soon as you approach Pavel (the very first NPC) and he tries to speak the game crashes.

    Using "no sound" allows the game to work perfectly fine - albeit without sound.

    I'm running an 9500 se with cat 8.2 (hats off to AMD and DELL for no longer having to manually build and install the DEBS!!) and have have an abit an7 (nf2 chipset)

    Any idea how to go about getting sound working in this game???

  2. #2
    Join Date
    Jun 2006
    Posts
    3,046

    Default

    One question: Is PulseAudio installed or not? (There's a reason for that question...I'll explain once I try out what I think will be the fix...)

  3. #3
    Join Date
    Jan 2007
    Location
    Au
    Posts
    174

    Default

    no its not

  4. #4

    Default

    What sound system do you use? Alsa? OSS?

  5. #5
    Join Date
    Jun 2006
    Posts
    3,046

    Default

    Okay... That's the direction I need to look into this evening before getting into sorting all the miscellaneous issues with Bandits I've on my plate tonight. That means a different machine to attempt a fresh install on.

    There's some edge issues with Alsa and with PulseAudio (and they're different) so I needed to know what to check into to come up with a possible answer for you (and for myself- but I've had so much other stuff going on I'd kind of shelved the problem... ).

  6. #6
    Join Date
    Jan 2007
    Location
    Au
    Posts
    174

    Default

    gutsy is using alsa - nwn is set on default - which is OSS. this passes through fine - the music is awesome.

    does the new 1.69 patch resolve any of these issues
    Last edited by hmmm; 02-21-2008 at 07:19 PM.

  7. #7

    Default

    I've never come across of this problem, but generally, try the new patch and see if it does anything.

  8. #8
    Join Date
    Jun 2006
    Posts
    3,046

    Default

    How to get it to all work nicely, what I did for Platinum was as follows:

    Follow the forum install steps.
    Drop the 1.69 patch set on the machine.
    Alter the "nwn" script to not put the SDL version that they provide in the Lib path- it's got some issues, use the one from Ubuntu instead.

    This has the effect of making everything pretty much work right without crashes. However nwnmovie does NOT work right (cores...) with this configuration I described (Which is annoying, but I never did pull it down before this and use it- so...); since the movie cutscenes aren't all that important anyhow...

  9. #9
    Join Date
    Jan 2007
    Location
    Au
    Posts
    174

    Default

    "Alter the "nwn" script to not put the SDL version that they provide in the Lib path- it's got some issues, use the one from Ubuntu instead."

    how exactly do you do this?

    The icculus patch tends to change the layout of the nwn file itself somewhat drastically...

  10. #10
    Join Date
    Jun 2006
    Posts
    3,046

    Default

    icculus "patch"? What patch would this be? I don't remember Ryan hosting any patches for NWN on the site...

    Now, if you're talking about the Loki Installer installation programs from off of icculus.org, you should know that those installers Raven did for the community only work with the specified versions of software they claim to be written for. If you've got the Gold edition, you can use that one and expect it to all work right with 7.10. If you've got the Platinum or Diamond versions, you HAVE to follow the steps as described in the forums, or you will not end up with the right files mix for those versions and it will just simply crash on you (I know, I'd tried a few things deviating from it with the Gold installer with the Platinum set I had- it didn't work until I wiped the install and followed the Platinum install steps from the forums...).

    Anyhow, there's a line in the "nwn" script that references "export LD_LIBRARY_PATH=./lib:<and so forth...>". You have to have that in order for the MILES libraries to load up properly as well. If you don't have that in your nwn script, you're going to have a much more difficult time of it making this work without doing a clean reinstall. If you DO have that line as described, you just remove the "./lib" (and ONLY that) part of the line and it should use the system's copy of SDL at that point in time.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •